#include <windows.h>

#include "type.h"
#include "Win32Def.h"

#define VERSION     0x0100  // Version must be in BCD format

static FPSEWin32About info = {
    FPSE_SPU,
    VERSION & 0xFF,
    VERSION >> 8,
    0,
    "LDChen",
    "SPUNull",
    "This Plugin doesn't play any sound.\x00d\x00a"
    "It should be used if you don't have "
    "sound hardware or if your machine is SLOOOOOWWWW...."
};
static HANDLE hinstance = (HANDLE)-1;

BOOL WINAPI
#ifdef __GNUC__
LibMain
#else
DllMain
#endif
(HANDLE hInstance, DWORD fdwReason, PVOID fImpLoad)
{
    hinstance = hInstance;
    return TRUE;
}

int SPU_Configure(UINT32 *par)
{
    FPSEWin32 *info = (FPSEWin32 *)par;

    MessageBox(info->HWnd,"This Plugin doesn't need to be configured",
               "SPUNull config",MB_OK);
    return FPSE_OK;
}

void SPU_About(UINT32 *par)
{
    memcpy( par, &info, sizeof(FPSEWin32About) );
}
